<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
    <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
    <link rel="stylesheet" href="/assets/style.css">
    <title>Best Movies</title>
    <link rel="icon" type="image/x-icon" href="favicon2.ico"/>
  
</head>
<body>
    <header>
        <div class="image">
            <%= image_tag("favicon1.png", :alt => "rss feed", width:'150px') %>
        </div>
        <div class="card">

            <button>
                <%= link_to movies_releases_url, type:"button", class:"decoratinone" do %>Lançamentos
                    <%= fa_icon "rocket" %>
                <% end %>
            </button>

            <button>
                <%= link_to movies_top10_url, type:"button", class:"decoratinone" do %>Top 10 
                    <%= fa_icon "star" %>
                <% end %>
            </button>

            <% movie = params[:movie].present? ? params[:movie] : "" %>
            <%= text_field_tag :movie, "", class:"form-control", 
                placeholder: "Digite um nome de um filme", id: "movie_search", value: movie %>
            <button type="submit" class="btn btn-primary" id="btn_search" data-icon="search">
                <%= fa_icon "search" %>
            </button>     
        </div>
 
    </header>

    <div id="tags">
        <%= render partial: "/movies/genres" %>
    </div>

    <div id="myNav" class="overlay">
        <!-- Button to close the overlay navigation -->
        <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
        <!-- Overlay content -->
        <div class="overlay-content" id="overlay-content"></div>
        <a href="javascript:void(0)" class="arrow left-arrow" id="left-arrow">&#8656;</a> 
        <a href="javascript:void(0)" class="arrow right-arrow" id="right-arrow" >&#8658;</a>
    </div>

    <main id="main">
        <%= yield %>
    </main>

</body>
</html>

<script>
    $("#btn_search").click(function(){
        $.ajax({
            type:'GET',
            dataType:'JSON',
            url:'/movies/search',
            data: {
                'movie': $('#movie_search').val(),
                authenticity_token: $('[name="csrf-token"]')[0].content
            },
            success: function() {   
                location.reload();  
            },
            error: function (data) {
                window.location.replace("http://"+"<%= request.host_with_port %>"+"/movies/search?movie="+ $('#movie_search').val() + "&authenticity_token="+$('[name="csrf-token"]')[0].content);
            }
        });
    });
</script>
